SELECT 
	NU_COMPETENCIA_DISPENSACAO,NU_CATMAT, VL_UNITARIO, CO_MUNICIPIO_IBGE_EST
FROM DBDMBNAFAR.VW_DISPENSACAO
WHERE 
	"NU_COMPETENCIA_DISPENSACAO" IS NOT NULL AND "NU_COMPETENCIA_DISPENSACAO" NOT LIKE -1
	AND "VL_UNITARIO" IS NOT NULL AND "VL_UNITARIO" > 0
	--AND NU_CATMAT LIKE 'BR0292427U0006'
GROUP BY 
	NU_COMPETENCIA_DISPENSACAO,NU_CATMAT,VL_UNITARIO,CO_MUNICIPIO_IBGE_EST;